|

ubuntu 16.04 64bit: missing qt5 libraries for activmgr and activcalibrate

Hey!

We are using Ubuntu 16.04 64bit and installed activinspire and its tools:

#>dpkg -l "activ*"
ii  activ-meta-de                          2.0.0-71                 amd64                    Promethean ActivSoftware Metapackage - German
ii  activaid                               2.0.1-9~ubuntu~1404      amd64                    Promethean ActivAid provides our support team with
ii  activdriver                            5.16.7-0~Ubuntu~1604     amd64                    The kernel mode and X11 drivers for Promethean ActivBoard and ActivHub.
ii  activhwr-de                            1.0.1-79                 all                      Promethean Handwriting Recognition - German
ii  activinspire                           2.11.66910-8.amd64       amd64                    Promethean ActivInspire For Linux Version 2.11.66910-8
ii  activinspire-32bitdependsfor64bit:i386 2.11.66910-8.i386        i386                     This package depends on i386 versions of packages that are required for Promethea
ii  activinspire-help-de                   1.0.2-14                 all                      Promethean ActivInspire Help - German

ii  activresources-core-de                 1.0.1-147                all                      Promethean ActivResources - Core Package - German
ii  activtools                             5.16.7-0~Ubuntu~1604     amd64                    Non open source programs from Promethean devices.

If i am not mistaking, this should be the newest versions. I've installed them from:

cat /etc/apt/sources.list.d/activinspire.list
deb http://activsoftware.co.uk/linux/repos/ubuntu xenial oss non-oss
deb http://activsoftware.co.uk/linux/repos/driver/ubuntu xenial oss non-oss


Activinspire starts fine.  But activmgr and activcalibrate both give some errors:

activmgr:
#>activmgr
activmgr: error while loading shared libraries: libQt5WebEngineWidgets.so.5: cannot open shared object file: No such file or directory

As far as i know there is no package, that provides  libQt5WebEngineWidgets.so.

strangely enough: There is a activmgr process running, but no icon shows up in the tray bar:

#> ps aux | grep activmgr
fh        8397  0.3  1.4 954200 28920 ?        Sl   Jan17  10:26 activmgr


For activcalibrate the situation is slightly different. It complains about missing libs, but they are installed. activcalibrate terminates after the these error messages:
#>activcalibrate
activcalibrate: /usr/lib/x86_64-linux-gnu/libQt5Network.so.5: version `Qt_5' not found (required by activcalibrate)
activcalibrate: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: version `Qt_5' not found (required by activcalibrate)
activcalibrate: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.6' not found (required by activcalibrate)
activcalibrate: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5' not found (required by activcalibrate)
activcalibrate: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5: version `Qt_5' not found (required by activcalibrate)

The file libQt5Network.so.5 is present:
#> ls -la /usr/lib/x86_64-linux-gnu/libQt5Network.so.5
lrwxrwxrwx 1 root root 22 Mai 12  2017 /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 -> libQt5Network.so.5.5.1



Is there a way to get activmgr and activcalibrate working? Without these tools activinspire is pretty useless on an activboard.




Answers

Sign In or Register to comment.